return Def.ActorFrame{
    Def.Sprite{
	   	OnCommand=function(self)

			local scale_factor = 1
			local ar = string.format( "%.3f" ,PREFSMAN:GetPreference("DisplayAspectRatio"))

			-- Surely there is a better way to do this...
			if ar == "1.778" then
				scale_factor = 1.333
			elseif ar == "1.600" then
				scale_factor = 1.2
			end

	   		self:Center()
	   			:SetTexture(SRT.ScreenshotTexture)
	   			:stretchto( 0,0, _screen.w,  _screen.h * scale_factor )
	   	end
	},
	Def.Quad{
		InitCommand=function(self)
			self:FullScreen():Center():diffuse(0,0,0,0.7)
		end
	}
}